Bug 22198 - Add granular permission setting for Mana KB
Summary: Add granular permission setting for Mana KB
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 17047 22196
Blocks: 22197
  Show dependency treegraph
 
Reported: 2019-01-23 19:15 UTC by Owen Leonard
Modified: 2019-02-11 13:44 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22198: Add granular permission setting for Mana KB (5.96 KB, patch)
2019-01-24 15:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22198: Add granular permission setting for Mana KB (8.21 KB, patch)
2019-01-24 15:47 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22198: Add granular permission setting for Mana KB (8.27 KB, patch)
2019-01-25 20:09 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 22198: Add granular permission setting for Mana KB (8.36 KB, patch)
2019-01-27 10:15 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-01-23 19:15:12 UTC
Mana KB should have its own permission setting
Comment 1 Owen Leonard 2019-01-24 15:03:20 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2019-01-24 15:47:46 UTC Comment hidden (obsolete)
Comment 3 Maryse Simard 2019-01-25 20:09:36 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2019-01-27 10:15:02 UTC
Created attachment 84453 [details] [review]
Bug 22198: Add granular permission setting for Mana KB

This patch adds a separate permission for managing Mana KB.

To test, apply the patch and update the database.

 - Open the permissions page for a patron with staff client privileges
   - Confirm that there is a "Manage Mana KB content sharing
     (manage_mana)" permission.
   - Leaving this new permission unchecked, log into the staff client
     with as that patron and go to the Administration home page.
       - The "Using Mana-KB" link should not appear.
       - Navigate directly to /cgi-bin/koha/admin/share_content.pl. You
         should get a "permission denied" message.
   - Modify the patron's permissions to grant them access to Mana KB.
       - Confirm that the link now appears on the Administration home
         page and that the user can access the page.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2019-01-27 10:16:54 UTC
Passing QA on this patch, but there is an issue: the listed dependency wasn't signed off initially. The dependency is only a line in the admin-home template, so I think even if pushed out of order this could probably be fixed easily.
Comment 6 Nick Clemens 2019-02-04 17:47:20 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-02-11 13:44:15 UTC
An enhancement to a new feature for 19.05.